rio_route_set_ops
Prev | Enumeration and Discovery | Next

## Name

rio_route_set_ops — Sets routing operations for a particular vendor switch

## Synopsis

`void rio_route_set_ops (` | struct rio_dev * | rdev`)`;

## Arguments

`rdev`

  RIO device

## Description

Searches the RIO route ops table for known switch types. If the vid and did match a switch table entry, then set the `add_entry` and `get_entry` ops to the table entry values.

Prev | Up | Next
rio_is_switch | Home | rio_add_device